petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSortIntWithDataArray

Sorts an array of integers in place in increasing order; changes a second array to match the sorted first INTEGER array. Unlike other sort routines, the user must provide workspace (the size of an element in the data array) to use when sorting.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortIntWithDataArray(PetscInt n,PetscInt i[],void *Ii,size_t size,void *work)

Not Collective Many br

### Input Parameters

| n | - number of values Many br
| i | - array of integers Many br
| Ii | - second array of data Many br
| size | - sizeof elements in the data array in bytes Many br
| work | - workspace of "size" bytes used when sorting Many br

Many br

### See Also

PetscSortReal(), PetscSortIntPermutation(), PetscSortInt(), PetscSortIntWithArray()

Level:intermediate
Location:src/sys/utils/sorti.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages